# -*- coding: utf-8 -*-
'''
Created on Jul 21, 2015

@author: ymh
'''

from django.apps import AppConfig
from django.core.signals import request_started


class LdtSecurityConfig(AppConfig):
    name = 'ldt.security'
    verbose_name = 'Ldt security'
    
    def ready(self):
        from ldt.security import protect_models_request
        request_started.connect(protect_models_request)